Bug 31527 - Breadcrumbs for anonymous suggestions are not correct
Summary: Breadcrumbs for anonymous suggestions are not correct
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Lucas Gass
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-07 11:29 UTC by Katrin Fischer
Modified: 2022-09-26 13:54 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 31527: Breadcrumbs for anonymous suggestions are not correct (1.97 KB, patch)
2022-09-22 18:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31527: Breadcrumbs for anonymous suggestions are not correct (2.01 KB, patch)
2022-09-22 23:11 UTC, David Nind
Details | Diff | Splinter Review
Attachment to Bug 31527 - Breadcrumbs for anonymous suggestions are not correct (2.07 KB, patch)
2022-09-23 13:52 UTC, Lucas Gass
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-09-07 11:29:07 UTC
When AnonSuggestions are allowed and you click on 'purchase suggestions' in the navigation bar while not logged in, the breadcrumb will look like this:

Home > > Your purchase suggestions

I think we might be missing some construct to deal with the 'not logged in' to remove one of those > in this case.
Comment 1 Owen Leonard 2022-09-22 18:27:35 UTC Comment hidden (obsolete)
Comment 2 David Nind 2022-09-22 23:11:15 UTC Comment hidden (obsolete)
Comment 3 David Nind 2022-09-22 23:12:55 UTC
Testing notes (using koha-testing-docker):

1. Enable AnonSuggestions system preference

2. Set AnonymousPatron system preference to a valid patron number, such as 42
Comment 4 Lucas Gass 2022-09-23 13:51:42 UTC
Trivial fix, the template changes look good, QA scripts are happy.
Comment 5 Lucas Gass 2022-09-23 13:52:30 UTC
Created attachment 140914 [details] [review]
Attachment to Bug 31527 - Breadcrumbs for anonymous suggestions are not correct

Bug 31527: Breadcrumbs for anonymous suggestions are not correct

This patch updates the OPAC suggestions template in order to
omit the patron name breadcrumb if there is not a logged-in
user.

To test, apply the patch and view the OPAC suggestions page
with the AnonSuggestions preference both enabled and disabled.

- If you are logged in, the page breadcrumbs will be:
  Home -> [Your name] -> Purchase suggestions.
- If you are not logged in it should be:
  Home -> Purchase suggestions

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 6 Tomás Cohen Arazi 2022-09-26 13:54:47 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!